#
# spec file for package python-pyramid_mako-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyramid_mako-doc
Version:        1.0.2
Release:        6.1
Summary:        Documentation for python3-pyramid_mako
License:        SUSE-Repoze
Group:          Documentation/HTML
Url:            https://github.com/Pylons/pyramid_mako
Source:         https://files.pythonhosted.org/packages/source/p/pyramid_mako/pyramid_mako-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module pyramid_mako} = %{version}
# Documentation requirements:
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module pylons_sphinx_theme}
Recommends:     %{python_module pyramid_mako} = %{version}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
This package contains documentation files for python3-pyramid_mako.

%prep
%setup -q -n pyramid_mako-%{version}

%build
# Not needed

%install
%python_exec setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%files %{python_files}
%defattr(-,root,root,-)
%doc CONTRIBUTORS.txt COPYRIGHT.txt LICENSE.txt
%doc build/sphinx/html

%changelog
* Thu Sep 14 2017 bruno@ioda-net.ch
- Move to singlespec (also documentation)
- Adapt Copyright year
* Tue Feb 14 2017 hpj@urpla.net
- Add BuildRoot to fix build on less forgiving targets
* Mon Jun 13 2016 toddrme2178@gmail.com
- Split documentation into subpackage to speed up build.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Fri Aug 28 2015 bruno@ioda-net.ch
- Add packaging for python3
- Removed unexistant orderreddict deps for build
* Sun Aug  9 2015 hpj@urpla.net
- build and package docs separately
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Fri Feb  6 2015 hpj@urpla.net
- cleanup dependencies
- allow building with python 2.6 and ancient distributions
* Mon Dec 29 2014 mardnh@gmx.de
- initial package, version 1.0.2
